Prima::Widgets - miscellaneous widget classes The module was designed to serve as a collection of small widget classes that do not group well with the other, more purposeful classes. The current implementation contains the only class, Prima::Panel. Provides a simple panel widget, capable of displaying a single line of centered text on a custom background. Probably this functionality is better to be merged into Prima::Label's.

Properties
Width of 3d-shade border around the widget. Default value: 1 Selects image to be drawn as a tiled background. If undef, the background is drawn with the background color. Set the image FILE to be loaded and displayed. Is rarely used since does not return a loading success flag. Style of 3d-shade border around the widget. If 1, the widget is 'risen'; if 0 it is 'sunken'. Default value: 1 Selects zoom level for image display. The acceptable value range is between 1 and 10. Default value: 1 Dmitry Karasik, <dmitry@karasik.eu.org>. the Prima manpage